﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ChatApp.Models;

namespace ChatApp.Controllers
{
    public class UserMessageController : Controller
    {
        private ChatAppContext db = new ChatAppContext();

        //
        // GET: /UserMessage/

        public ActionResult Index()
        {
            return View(db.UserMessages.ToList());
        }

        //
        // GET: /UserMessage/Details/5

        public ActionResult Details(string id = null)
        {
            UserMessage usermessage = db.UserMessages.Find(id);
            if (usermessage == null)
            {
                return HttpNotFound();
            }
            return View(usermessage);
        }

        //
        // GET: /UserMessage/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /UserMessage/Create

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(UserMessage usermessage)
        {
            if (ModelState.IsValid)
            {
                db.UserMessages.Add(usermessage);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(usermessage);
        }

        //
        // GET: /UserMessage/Edit/5

        public ActionResult Edit(string id = null)
        {
            UserMessage usermessage = db.UserMessages.Find(id);
            if (usermessage == null)
            {
                return HttpNotFound();
            }
            return View(usermessage);
        }

        //
        // POST: /UserMessage/Edit/5

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(UserMessage usermessage)
        {
            if (ModelState.IsValid)
            {
                db.Entry(usermessage).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(usermessage);
        }

        //
        // GET: /UserMessage/Delete/5

        public ActionResult Delete(string id = null)
        {
            UserMessage usermessage = db.UserMessages.Find(id);
            if (usermessage == null)
            {
                return HttpNotFound();
            }
            return View(usermessage);
        }

        //
        // POST: /UserMessage/Delete/5

        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(string id)
        {
            UserMessage usermessage = db.UserMessages.Find(id);
            db.UserMessages.Remove(usermessage);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}