﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Microsoft.AspNet.SignalR;

namespace ChatApp.Utilities
{
    public class ChatHub : Hub
    {
        public void Join()
        {
            Groups.Add(Context.ConnectionId, "ChatHub");
        }

        public void JoinGroup(string companyCode)
        {
            Groups.Add(Context.ConnectionId, companyCode);
        }

        public void Send(string message)
        {
            Clients.Group("ChatHub").recieved(message);
        }

        public void SendToGroup(string companyCode, string message)
        {
            Clients.Group(companyCode).recieved(message);
        }

        public void SendToId(string connectionId, string message)
        {
            Clients.Client(connectionId).recieved(message);
        }

        public void SendToAll(string message)
        {
            Clients.All.recieved(message);
        }
    }
}