﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Microsoft.AspNet.SignalR.Client.Hubs;
using Newtonsoft.Json;

namespace ChatAppWinform
{
    public partial class ChatForm : Form
    {
        private HubConnection _connection;
        private IHubProxy _myHub;

        public ChatForm()
        {
            CheckForIllegalCrossThreadCalls = false;
            InitializeComponent();

            _connection = new HubConnection("http://winston.somee.com/");
            _myHub = _connection.CreateHubProxy("ChatHub");
        }

        private async void btnSend_Click(object sender, EventArgs e)
        {
            await _myHub.Invoke("Send", JsonConvert.SerializeObject(new MessageSent{messageVal = txtMessageSend.Text, userName = txtName.Text}));
        }

        private async void ChatForm_Load(object sender, EventArgs e)
        {
           await _connection.Start();
           await _myHub.Invoke("Join");

           _myHub.On("recieved", data =>
                {
                    var obj = JsonConvert.DeserializeObject<MessageSent>(data);
                    txtMessage.Text += "USER:" + obj.userName + "  MESSAGE:" + obj.messageVal;
                });
        }
    }
}
